=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

NODE = node
ESLINT = eslint
MOCHA = mocha --no-timeout
# normalize output with TAP where possible unless terse requested
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
ESLINT += --format tap
MOCHA += --reporter tap
else
ESLINT += --format unix
MOCHA += --reporter dot --no-colors
endif

override_dh_clean:
	dh_clean -- $(DOCS)

override_dh_auto_build: $(DOCS)
	mkdir --parents lib/configs
	$(NODE) scripts/update-docs-readme.js
	$(NODE) scripts/update-lib-configs.js
	$(NODE) scripts/update-lib-index.js

override_dh_auto_test:
	$(ESLINT) lib tests scripts
	$(MOCHA) "tests/**/*.js"

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

%:
	dh $@
